org.apache.pdfbox.pdmodel.interactive.action

## Class PDDocumentCatalogAdditionalActions

- java.lang.Object
- - org.apache.pdfbox.pdmodel.interactive.action.PDDocumentCatalogAdditionalActions

All Implemented Interfaces:
  COSObjectable

    public class PDDocumentCatalogAdditionalActions
    extends Object
    implements COSObjectable

This class represents a document catalog's dictionary of actions that occur due to events.

Author:
  Ben Litchfield, Panagiotis Toumasis

### Constructor Summary

Constructors
Constructor and Description
`PDDocumentCatalogAdditionalActions()` Default constructor.
`PDDocumentCatalogAdditionalActions(COSDictionary a)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`COSDictionary` `getCOSObject()` Convert this standard java object to a COS object.
`PDAction` `getDP()` This will get a JavaScript action to be performed after printing a document.
`PDAction` `getDS()` This will get a JavaScript action to be performed after saving a document.
`PDAction` `getWC()` This will get a JavaScript action to be performed before closing a document.
`PDAction` `getWP()` This will get a JavaScript action to be performed before printing a document.
`PDAction` `getWS()` This will get a JavaScript action to be performed before saving a document.
`void` `setDP(PDAction dp)` This will set a JavaScript action to be performed after printing a document.
`void` `setDS(PDAction ds)` This will set a JavaScript action to be performed after saving a document.
`void` `setWC(PDAction wc)` This will set a JavaScript action to be performed before closing a document.
`void` `setWP(PDAction wp)` This will set a JavaScript action to be performed before printing a document.
`void` `setWS(PDAction ws)` This will set a JavaScript action to be performed before saving a document.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDDocumentCatalogAdditionalActions

    public PDDocumentCatalogAdditionalActions()

Default constructor.

#### PDDocumentCatalogAdditionalActions

    public PDDocumentCatalogAdditionalActions(COSDictionary a)

Constructor.

Parameters:
  `a` - The action dictionary.

### Method Detail

#### getCOSObject

    public COSDictionary getCOSObject()

Convert this standard java object to a COS object.

Specified by:
  `getCOSObject` in interface `COSObjectable`
Returns:
  The cos object that matches this Java object.

#### getWC

    public PDAction getWC()

This will get a JavaScript action to be performed before closing a document. The name WC stands for "will close".

Returns:
  The WC entry of document catalog's additional actions dictionary.

#### setWC

    public void setWC(PDAction wc)

This will set a JavaScript action to be performed before closing a document. The name WC stands for "will close".

Parameters:
  `wc` - The action to be performed.

#### getWS

    public PDAction getWS()

This will get a JavaScript action to be performed before saving a document. The name WS stands for "will save".

Returns:
  The WS entry of document catalog's additional actions dictionary.

#### setWS

    public void setWS(PDAction ws)

This will set a JavaScript action to be performed before saving a document. The name WS stands for "will save".

Parameters:
  `ws` - The action to be performed.

#### getDS

    public PDAction getDS()

This will get a JavaScript action to be performed after saving a document. The name DS stands for "did save".

Returns:
  The DS entry of document catalog's additional actions dictionary.

#### setDS

    public void setDS(PDAction ds)

This will set a JavaScript action to be performed after saving a document. The name DS stands for "did save".

Parameters:
  `ds` - The action to be performed.

#### getWP

    public PDAction getWP()

This will get a JavaScript action to be performed before printing a document. The name WP stands for "will print".

Returns:
  The WP entry of document catalog's additional actions dictionary.

#### setWP

    public void setWP(PDAction wp)

This will set a JavaScript action to be performed before printing a document. The name WP stands for "will print".

Parameters:
  `wp` - The action to be performed.

#### getDP

    public PDAction getDP()

This will get a JavaScript action to be performed after printing a document. The name DP stands for "did print".

Returns:
  The DP entry of document catalog's additional actions dictionary.

#### setDP

    public void setDP(PDAction dp)

This will set a JavaScript action to be performed after printing a document. The name DP stands for "did print".

Parameters:
  `dp` - The action to be performed.